VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::item::FileTypes::Info Class Reference

The `File.Info` class provides information about a file in Content Library Service storage. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
vmware.content.library.item.FileTypes.ChecksumInfo | GetChecksumInfo ()
| A checksum for validating the content of the file.
void | SetChecksumInfo (vmware.content.library.item.FileTypes.ChecksumInfo checksumInfo)
| A checksum for validating the content of the file.
string | GetName ()
| The name of the file.
void | SetName (string name)
| The name of the file.
long | GetSize ()
| The file size, in bytes.
void | SetSize (long size)
| The file size, in bytes.
bool | GetCached ()
| Indicates whether the file is on disk or not.
void | SetCached (bool cached)
| Indicates whether the file is on disk or not.
string | GetVersion ()
| The version of this file; incremented when a new copy of the file is uploaded.
void | SetVersion (string version)
| The version of this file; incremented when a new copy of the file is uploaded.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `File.Info` class provides information about a file in Content Library Service storage.

A file is an actual stored object for a library item. An item will have zero files initially, but one or more can be uploaded to the item.

## Constructor & Destructor Documentation

vmware::content::library::item::FileTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::library::item::FileTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::library::item::FileTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::library::item::FileTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::content::library::item::FileTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::library::item::FileTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::library::item::FileTypes::Info::Equals | ( | object | obj | ) | `[inline]`

bool vmware::content::library::item::FileTypes::Info::GetCached | ( |  | ) | `[inline]`

Indicates whether the file is on disk or not.

vmware.content.library.item.FileTypes.ChecksumInfo vmware::content::library::item::FileTypes::Info::GetChecksumInfo | ( |  | ) | `[inline]`

A checksum for validating the content of the file.

This value can be used to verify that a transfer was completed without errors.

override int vmware::content::library::item::FileTypes::Info::GetHashCode | ( |  | ) | `[inline]`

string vmware::content::library::item::FileTypes::Info::GetName | ( |  | ) | `[inline]`

The name of the file.

This value will be unique within the library item for each file. It cannot be an empty string.

long vmware::content::library::item::FileTypes::Info::GetSize | ( |  | ) | `[inline]`

The file size, in bytes.

The file size is the storage used and not the uploaded or provisioned size. For example, when uploading a disk to a datastore, the amount of storage that the disk consumes may be different from the disk file size. When the file is not cached, the size is 0.

string vmware::content::library::item::FileTypes::Info::GetVersion | ( |  | ) | `[inline]`

The version of this file; incremented when a new copy of the file is uploaded.

void vmware::content::library::item::FileTypes::Info::SetCached | ( | bool | cached | ) | `[inline]`

Indicates whether the file is on disk or not.

void vmware::content::library::item::FileTypes::Info::SetChecksumInfo | ( | vmware.content.library.item.FileTypes.ChecksumInfo | checksumInfo | ) | `[inline]`

A checksum for validating the content of the file.

This value can be used to verify that a transfer was completed without errors.

void vmware::content::library::item::FileTypes::Info::SetName | ( | string | name | ) | `[inline]`

The name of the file.

This value will be unique within the library item for each file. It cannot be an empty string.

void vmware::content::library::item::FileTypes::Info::SetSize | ( | long | size | ) | `[inline]`

The file size, in bytes.

The file size is the storage used and not the uploaded or provisioned size. For example, when uploading a disk to a datastore, the amount of storage that the disk consumes may be different from the disk file size. When the file is not cached, the size is 0.

void vmware::content::library::item::FileTypes::Info::SetVersion | ( | string | version | ) | `[inline]`

The version of this file; incremented when a new copy of the file is uploaded.

override string vmware::content::library::item::FileTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- FileTypes.cs